Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689699 - luks-version dropdown dysfunctional in manual partitioning
Summary: luks-version dropdown dysfunctional in manual partitioning
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-17 22:10 UTC by wbob
Modified: 2019-04-08 20:14 UTC (History)
7 users (show)

Fixed In Version: anaconda-30.25.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 00:01:54 UTC


Attachments (Terms of Use)
version luks1 after passphrase popup (deleted)
2019-03-17 22:10 UTC, wbob
no flags Details
luks-version-dropdown-behaviour (deleted)
2019-03-20 11:36 UTC, wbob
no flags Details

Description wbob 2019-03-17 22:10:02 UTC
Created attachment 1545037 [details]
version luks1 after passphrase popup

Description of problem:

Version-Release number of selected component (if applicable): 30.25-3-3.fc30 from Fedora-Workstation-netinst-x86_64-30-20190315.n.0.iso

How reproducible: always

Steps to Reproduce:
1. Start Boot ISO, choose Language "English" -> Installation Summary overview -> (click) "System -> Installation Destination"
2. Device Selection: Storage Configuration: (choose radio-button) "custom" -> (enable checkbox) "Encrypt my data" -> (click) "Done"
3. enter a passphrase in the popup
4. Manual Partitioning: (LVM is set as partitioning scheme) -> (click) "+" symbol to add a new mount point, input "/" -> (click) "Add mount point"
   The result will be the screenshot with "luks1" as set LUKS version

5. Having the intention to use luks2, change LUKS version in dropdown to "luks2", (click) Update Settings

Actual results: The LUKS version will set itself back to "luks1".

Expected results: "luks2"

Additional info:

I speculate setting the passphrase in step (3) will default to luks1.

If the checkbox "Encrypt" next to Device Type LVM is (unselected) and later (re-selected) while having set "luks2" as Version, (clicking) Update settings will leave it at "luks2". It works the otherway too - whatever version was set while enabling the "Encrypt" checkbox will be enforced when trying to change the LUKS version later individually.

My suggestion:

1. set luks2 as default version for first passphrase popup at step (3)
2. in manual partitioning overview, transform "Encrypt" checkbox next to "Device Type" to a Dropdown of "no encryption, Encrypt (luks1), Encrypt (luks2)" and remove the individual version dropdown
   or
   gray-out enabled LUKS version dropdown after "update settings"

Comment 1 Vendula Poncova 2019-03-18 14:07:21 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1899

Comment 2 wbob 2019-03-20 11:36:18 UTC
Created attachment 1546037 [details]
luks-version-dropdown-behaviour

video walkthrough to dropdown behaviour

Comment 3 Fedora Update System 2019-04-02 16:48:33 UTC
anaconda-30.25.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f36d739dc

Comment 4 Vendula Poncova 2019-04-02 17:09:26 UTC
We still need to fix the menu for the LUKS version.

Comment 5 Fedora Update System 2019-04-03 02:27:37 UTC
anaconda-30.25.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f36d739dc

Comment 6 Fedora Update System 2019-04-04 00:01:54 UTC
anaconda-30.25.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.